import { defineComponent, ref } from 'vue';
import styles from './index.module.less';
import {
  NIcon,
  NImage,
  NDatePicker,
  NSelect,
  NSpace,
  NBreadcrumb,
  NBreadcrumbItem
} from 'naive-ui';
import icon_back from './images/icon_back.svg';
import icon_separator from './images/icon_separator.svg';
import activeArrow from './images/activeArrow.png';
import arrow from './images/arrow.png';
import { useRouter } from 'vue-router';
export default defineComponent({
  props: {
    father: {
      type: String,
      default: ''
    },
    selfName: {
      type: String,
      default: ''
    },
    toPath: {
      type: String,
      default: ''
    }
  },
  name: 'CBreadcrumb',
  setup(props, { emit, attrs }) {
    const router = useRouter();
    return () => (
      <>
        <div class={styles.CBreadcrumb}>
          <NSpace align="center" wrapItem={false} size={16}>
            <img
              style={{ cursor: 'pointer' }}
              src={icon_back}
              onClick={() => router.push({ path: props.toPath })}
            />
            <NBreadcrumb separator="">
              <NBreadcrumbItem
                onClick={() => router.push({ path: props.toPath })}>
                {props.father}
              </NBreadcrumbItem>
              <img class={styles.separator} src={icon_separator} />
              <NBreadcrumbItem> {props.selfName}</NBreadcrumbItem>
            </NBreadcrumb>
          </NSpace>
        </div>
      </>
    );
  }
});
