import { defineStore } from 'pinia';
import { store } from '@/store';

export const usePrepareStore = defineStore('prepare-lessons-store', {
  state: () => ({
    baseCourseware: {} as any, // 基础教学课件
    selectKey: '', // 选的哪一节课
    lessonCoursewareId: '', // 哪个教材分类
    lessonCoursewareDetailId: '', // 哪个教材详情
    treeList: [] as any[], // 左边教学课件列表
    coursewareList: [] as any[], // 课件信息
    tabType: '', // 备课 - 课件 | 训练 类型切换
    coursewareFullScreen: false as boolean // 课件资源是否全屏
  }),
  getters: {
    /** 获取基础教学课件 */
    getBaseCourseware(): any {
      return this.baseCourseware;
    },
    /** 获取选择课的编号 */
    getSelectKey(): string {
      return this.selectKey;
    },
    /** 获取教材编号 */
    getLessonCoursewareId(): string {
      return this.lessonCoursewareId;
    },
    /** 获取分类编号 */
    getLessonCoursewareDetailId(): string {
      return this.lessonCoursewareDetailId;
    },
    /** 获取树形控件 */
    getTreeList(): any[] {
      return this.treeList;
    },
    /** 获取课件列表 */
    getCoursewareList(): any[] {
      return this.coursewareList;
    },
    /** 获取课件是否全屏 */
    getCoursewareFullScreen(): boolean {
      return this.coursewareFullScreen;
    }
  },
  actions: {
    /** 设置基础教学课件 */
    setBaseCourseware(baseCourseware: any) {
      this.baseCourseware = baseCourseware;
    },
    /** 设置课的编号 */
    setSelectKey(key: string) {
      this.selectKey = key;
    },
    /** 设置教材的编号 */
    setLessonCoursewareId(id: string) {
      this.lessonCoursewareId = id;
    },
    /** 设置分类的编号 */
    setLessonCoursewareDetailId(id: string) {
      this.lessonCoursewareDetailId = id;
    },
    /** 设置课的编号 */
    setTreeList(list: any[]) {
      this.treeList = list;
    },
    /** 设置课件列表 */
    setCoursewareList(list: any[]) {
      this.coursewareList = list;
    },
    /** 设置课件是否全屏 */
    setCoursewareFullScreen(status: boolean) {
      this.coursewareFullScreen = status;
    }
  }
});

// Need to be used outside the setup
export function usePrepareLessonsStoreWidthOut() {
  return usePrepareStore(store);
}
