import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import { NTabPane, NTabs } from 'naive-ui';
import Courseware from './courseware';
import Train from './train';

export default defineComponent({
  name: 'lesson-main',
  setup() {
    return () => (
      <div class={styles['lesson-main']}>
        <NTabs
          animated
          defaultValue="courseware"
          paneClass={styles.paneTitle}
          justifyContent="center"
          paneWrapperClass={styles.paneWrapperContainer}>
          <NTabPane name="courseware" tab="课件">
            <Courseware />
          </NTabPane>
          <NTabPane name="train" tab="训练">
            <Train />
          </NTabPane>
        </NTabs>
      </div>
    );
  }
});
