import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import { NButton, NScrollbar, NSpace } from 'naive-ui';
import CardType from '/src/components/card-type';

export default defineComponent({
  name: 'courseware-modal',
  setup() {
    const forms = reactive({
      showAttendClass: false,
      list: [] as any
    });
    return () => (
      <div class={styles.coursewareModal}>
        <div class={styles.btnGroup}>
          <NSpace>
            <NButton type="default">添加训练</NButton>
            <NButton type="default">编辑</NButton>
          </NSpace>

          <NSpace>
            <NButton type="primary">布置训练</NButton>
          </NSpace>
        </div>

        <NScrollbar class={styles.listContainer}>
          <div class={styles.list}>
            {forms.list.map((item: any) => (
              <CardType isShowCollect={false} item={item} />
            ))}
          </div>
        </NScrollbar>
      </div>
    );
  }
});
